# CRBufExample Class Reference

List of all members.

## Public Member Functions
| ~CRBufExample ()
void | CreateRBufL ()
void | CreateRBufFromExistingDesL ()
void | CreateRBufFromHBufCL ()
void | CreateRBufFromAllocatedMemoryL ()
void | CreateRBufFromAnotherRBufL ()
void | CreateRBufUsingRReadStreamL ()
void | SwapTwoRBufsL ()
void | CopyDataUsingAssignmentOperatorL ()
void | ReallocateAndFreeTheMemoryBufferL ()
void | ReplaceAndModifyTheDataL ()
void | CleanUpRulesL ()
## Static Public Member Functions
static CRBufExample * | NewL ()

## Detailed Description

This class demonstrates:

- creating an empty RBuf,
- creating an RBuf containing a copy of an existing descriptor,
- assigning a descriptor to an RBuf,
- assigning memory to an RBuf,
- reallocating and freeing the memory,
- cleaning up an RBuf,
- replacing and modifying the data held in the RBuf.

Definition at line 34 of file rbufexample.h.

## Constructor & Destructor Documentation

CRBufExample::~CRBufExample | ( |  | ) |

Destructor

Definition at line 58 of file rbufexample.cpp.

## Member Function Documentation

CRBufExample * CRBufExample::NewL | ( |  | ) | `[static]`

Allocates and constructs a CRBufExample object.

Returns:
  A CRBufExample object.

Definition at line 67 of file rbufexample.cpp.

void CRBufExample::CreateRBufL | ( |  | ) |

Creates an empty resizable buffer descriptor using Create() and CreateMax().

Definition at line 79 of file rbufexample.cpp.

void CRBufExample::CreateRBufFromExistingDesL | ( |  | ) |

Creates a resizable buffer descriptor with data copied from another descriptor.

Definition at line 145 of file rbufexample.cpp.

void CRBufExample::CreateRBufFromHBufCL | ( |  | ) |

Creates a resizable buffer descriptor by assigning data from an HBufC.

Definition at line 162 of file rbufexample.cpp.

void CRBufExample::CreateRBufFromAllocatedMemoryL | ( |  | ) |

Creates a resizable buffer descriptor RBuf from some previously allocated memory.

Definition at line 267 of file rbufexample.cpp.

void CRBufExample::CreateRBufFromAnotherRBufL | ( |  | ) |

Creates a resizable buffer descriptor from another RBuf.

Definition at line 186 of file rbufexample.cpp.

void CRBufExample::CreateRBufUsingRReadStreamL | ( |  | ) |

Creates a resizable buffer descriptor by reading data from an RReadStream.

Definition at line 211 of file rbufexample.cpp.

void CRBufExample::SwapTwoRBufsL | ( |  | ) |

Swaps the contents of two resizable buffer descriptors.

Definition at line 291 of file rbufexample.cpp.

void CRBufExample::CopyDataUsingAssignmentOperatorL | ( |  | ) |

Copies data using the assignment operator from one descriptor to another

Definition at line 342 of file rbufexample.cpp.

void CRBufExample::ReallocateAndFreeTheMemoryBufferL | ( |  | ) |

Reallocates and frees the resizable buffer descriptor.

Definition at line 381 of file rbufexample.cpp.

void CRBufExample::ReplaceAndModifyTheDataL | ( |  | ) |

Replaces and modifies a portion of the data present in an RBuf.

Definition at line 439 of file rbufexample.cpp.

void CRBufExample::CleanUpRulesL | ( |  | ) |

Demonstrates cleanup for resizable buffer descriptors.

Definition at line 490 of file rbufexample.cpp.